EDIT - feature request #10161

Deduplicate nom. status in publication if there are >1 entries with same status
09/21/2022 01:05 AM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.34

Severity: normal

Description

... this happens if there are >1 sources for the same status of the same name.

For now we may implement it as deduplication in the cache strategy, therefore handle it in cdmlib. But first check if dataportal
handles sources of nom. status somehow.

Required for "RL Moose".

Related issues:
Copied to EDIT - feature request #10170: Create nom. status nom. & orth. cons. Closed

Associated revisions

Revision 3e8d61ff - 10/27/2022 02:13 PM - Andreas Miiller

ref #10161 defined order for multiple nom. status

Revision a661c6a4 - 10/27/2022 02:14 PM - Andreas Miiller

ref #10161 fix duplicated comma in taxon caches with >1 nom. status.

Revision 73¢c7e723 - 10/27/2022 03:14 PM - Andreas Miiller

ref #10161 fix includeSeparatorAfter handling if no nom.status exists

History

#1 - 10/11/2022 08:57 AM - Andreas Miiller

- Target version changed from Release 5.33 to Release 5.35

#2 - 10/12/2022 03:31 PM - Andreas Miiller

We may also "deduplicate" "nom. cons., orth. cons." to "nom. & orth. cons." (required e.g. for cuba). Alternatively we may introduce a new status
"nom. & orth. cons." as done for E+M.

#3 - 10/12/2022 03:32 PM - Andreas Miiller
- File clipboard-202210121532-m0efc.png added

WGB:

Im Search treten da dann auch noch zwei Kommata auf:

[ ' -

WJacquinia L., orth. cons_,. nom. cons., sec. Greuter & Rankin Rodriguez 2021
® . laconinia acinhvlla nom inval  svn sec Greuter & Rankin Rodrinnez 2021

#4 - 10/12/2022 03:38 PM - Andreas Miiller

AM:

Bei E+M machen wir das alternativ so, dass es einen zusatzlichen Status ,nom. & orth. cons.” haben. Das finde ich eigentlich schéner, da dann auch
die Quellenverwaltung leichter ist und ggf. das gewlnschte label entsprechend angepasst werden kann. Zudem ist die Eingabe auch tbersichtlicher

und schneller. Kénntest du da mitgehen?

WGB:
gerne

#5 - 10/13/2022 09:36 AM - Andreas Mdller

- Copied to feature request #10170: Create nom. status nom. & orth. cons. added

#8 - 10/27/2022 02:18 PM - Andreas Miiller

Andreas Muller wrote in #note-3:

WGB:

Im Search treten da dann auch noch zwei Kommata auf:

fixed with a661c6a49 , requires rerun for taxon title caches
Also order of nom. status is now fixed (3e8d61ffa)
#9 - 10/27/2022 02:31 PM - Andreas Miiller

- Status changed from New to Closed

- % Done changed from 0 to 100

Partly rejected as deduplication creates problems if sources are attached in future. Should be handled in data itself if there are real duplicates.

Only handled nom. & orth. cons. (in #10170), duplicated collons and fixed order for nom. status if >1 exist.

#10 - 10/27/2022 02:31 PM - Andreas Miiller

- Status changed from Closed to Resolved

#11 - 10/28/2022 02:35 PM - Andreas Miiller

- Target version changed from Release 5.35 to Release 5.34

#12 - 10/29/2022 10:24 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Priority changed from New to Priority14
